/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package turgen.generator;


public interface ProgressSource {
    
    public static final int CANCEL_ONE=1;
    public static final int CANCEL_ALL=2;
    public static final int CANCEL_NO=3;
    
    public void cancelOperation(int cancelType);
    public int getStatusPercent();
    public String getStatusString();    /*Smi vratit null*/
    public boolean isPartOfSequence();
    public int getCancelledType();
    public String getOutputFile();      /*Smi vratit null, kdyz neni*/
    public String getInputFile();
    public String getErrorMessage();    /*Smi vratit null, kdyz bez chyb*/
    
}
